XKCD Stack

XKCD Stack

(alt-text)

This site requires Sun Java 6.0.0.1 (32-bit) or higher. You have Macromedia Java 7.3.8.1¾ (48-bit). Click here [link to java.com main page] to download an installer which will run fine but not really change anything.

 
xkcd updates every Monday, Wednesday, and Friday